> For the complete documentation index, see [llms.txt](https://developer.perculus.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.perculus.com/perculus-api/services/katilimci-yonetimi/attande-filter.md).

# Katılımcı Filtreleme

Bir oturumda bulunan katılımcılarınızı 3 farklı şekilde ile filtreleyebilirsiniz:

* [ATTENDANCE\_CODE ile](#attendance_code-parametresi-ile-katilimci-guncelleme)
* [EMAIL ile](#email-parametresi-ile-katilimci-guncelleme)
* [Katılımcı bilgileri ile](#katilimci-bilgileri-ile-filtreleme)

### ATTENDANCE\_CODE Parametresi ile Katılımcı Filtreleme

{% hint style="warning" %}
Bir oturumdaki katılımcınızın verilerine ulaşabilmek için ilgili oturumun **SESSION\_ID** verisi ve ilgili kullanıcının katılımcı kimlik numarası olan  **ATTENDANCE\_CODE** verilerine ihtiyacınız olacaktır.
{% endhint %}

A**şağıdaki örnekte bir oturumdaki katılımcınızın verilerine ATTENDANCE\_CODE parametresi ile erişmenin yöntemini görebilirsiniz:**

{% tabs %}
{% tab title="CURL" %}

```bash
curl --location --request GET 'https://<DOMAIN>/xapi/session/<SESSION_ID>/attendee/<ATTENDANCE_CODE>' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data ''
```

{% endtab %}

{% tab title="Python" %}
İlk olarak Python SDK'sı yüklenmelidir:

```bash
pip install perculus-sdk
```

SDK'nın yüklendiğinden emin olunduktan sonra aşağıdaki şekilde katılımcınızın verilerine erişebilirsiniz:

```python
from perculus_sdk.client import APIClient

# API client
client = APIClient()

# Set your domain (if you haven't set it before)
client.set_domain("<DOMAIN>")

# Set your credentials(if you haven't set it before)
client.set_credentials(
    access_key="<EMAIL>",
    secret_key="<PASSWORD>",
    account_id="<ACCOUNT_ID>"
)

#Get the attandee by ATTENDANCE_CODE
attendee = client.attendees.get_by_attendance_code(
    session_id="<SESSION_ID>",
    attendance_code="<ATTENDANCE_CODE>"
)
print(attendee)

```

{% endtab %}

{% tab title="C#" %}

```
// ASAP :)
```

{% endtab %}

{% tab title="NodeJS" %}

```
// ASAP :)
```

{% endtab %}

{% tab title="GO" %}

```
// ASAP :)
```

{% endtab %}
{% endtabs %}

### EMAIL Parametresi ile Katılımcı Filtreleme

{% hint style="warning" %}
Bir oturumdaki katılımcınızın verilerine **EMAIL** parametresi ile erişebilmek için ilgili oturumun **SESSION\_ID** verisi ve ilgili kullanıcının **EMAIL** verilerine ihtiyacınız olacaktır.
{% endhint %}

A**şağıdaki örnekte bir oturumdaki katılımcınızın verilerine EMAIL parametresi ile erişmenin yöntemini görebilirsiniz:**

{% tabs %}
{% tab title="CURL" %}

```bash
curl --location --request GET 'https://<DOMAIN>/xapi/session/<SESSION_ID>/attendee/<EMAIL>' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data ''
```

{% endtab %}

{% tab title="Python" %}
İlk olarak Python SDK'sı yüklenmelidir:

```bash
pip install perculus-sdk
```

SDK'nın yüklendiğinden emin olunduktan sonra aşağıdaki şekilde katılımcınızın verilerine erişebilirsiniz:

```python
from perculus_sdk.client import APIClient

# API client
client = APIClient()

# Set your domain (if you haven't set it before)
client.set_domain("<DOMAIN>")

# Set your credentials(if you haven't set it before)
client.set_credentials(
    access_key="<EMAIL>",
    secret_key="<PASSWORD>",
    account_id="<ACCOUNT_ID>"
)

#Get the attandee by EMAIL
attendee = client.attendees.get_by_email(
    session_id="<SESSION_ID>",
    email="<EMAIL>"
)
print(attendee)
```

{% endtab %}

{% tab title="C#" %}

```
// ASAP :)
```

{% endtab %}

{% tab title="NodeJS" %}

```
// ASAP :)
```

{% endtab %}

{% tab title="GO" %}

```
// ASAP :)
```

{% endtab %}
{% endtabs %}

### Katılımcı Bilgileri ile Filtreleme

Aşağıdaki alanda filtreme işleminde kullanabileceğiniz tüm parametrelerin listesini görebilirsiniz:

| Parametre        | Tip     |
| ---------------- | ------- |
| user\_id         | string  |
| attendance\_code | string  |
| name             | string  |
| surname          | string  |
| email            | string  |
| role             | string  |
| mobile           | string  |
| page\_size       | integer |
| page\_number     | integer |
|                  |         |

**Tüm parametrelerden sonra aşağıdaki şekilde parametre olarak SESSION\_ID vererek katılımcı filtreleme işlemi yapabilirsiniz:**

{% tabs %}
{% tab title="CURL" %}

```bash
curl --location --request GET 'https://<DOMAIN>/xapi/session/<SESSION_ID>/attendee/<EMAIL>' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: x-www-form-urlencoded' \
--data-urlencode 'name=john' \
--data-urlencode 'surname=doe'
```

{% endtab %}

{% tab title="Python" %}
İlk olarak Python SDK'sı yüklenmelidir:

```bash
pip install perculus-sdk
```

SDK'nın yüklendiğinden emin olunduktan sonra aşağıdaki şekilde katılımcınızı filtreleyebilirsiniz:

```python
from perculus_sdk.client import APIClient

# API client
client = APIClient()

# Set your domain (if you haven't set it before)
client.set_domain("<DOMAIN>")

# Set your credentials(if you haven't set it before)
client.set_credentials(
    access_key="<EMAIL>",
    secret_key="<PASSWORD>",
    account_id="<ACCOUNT_ID>"
)

#Filter Attendees
attendees = client.attendees.search_attendees(
        session_id="<SESSION_ID>",
        params={
            "name": "test name",
            "role": "u"
        }
)
print(attendees)
```

{% endtab %}

{% tab title="C#" %}

```
// ASAP :)
```

{% endtab %}

{% tab title="NodeJS" %}

```
// ASAP :)
```

{% endtab %}

{% tab title="GO" %}

```
// ASAP :)
```

{% endtab %}
{% endtabs %}
